package dmillerw.ping.client.gui;

import dmillerw.ping.client.KeyHandler;
import dmillerw.ping.data.PingType;
import dmillerw.ping.proxy.ClientProxy;
import net.minecraft.client.Minecraft;
import net.minecraft.client.gui.GuiScreen;

import static dmillerw.ping.client.RenderHandler.ITEM_PADDING;
import static dmillerw.ping.client.RenderHandler.ITEM_SIZE;

/**
 * @author dmillerw
 */
public class GuiPingSelect extends GuiScreen {

    public static final GuiPingSelect INSTANCE = new GuiPingSelect();

    public static boolean active = false;

    public static void activate() {
        if (Minecraft.func_71410_x().field_71462_r == null) {
            active = true;
            Minecraft.func_71410_x().func_147108_a(INSTANCE);
        }
    }

    public static void deactivate() {
        active = false;
        if (Minecraft.func_71410_x().field_71462_r == INSTANCE) {
            Minecraft.func_71410_x().func_147108_a(null);
        }
    }

    @Override
    public void func_73864_a(int mouseX, int mouseY, int button) {
        Minecraft mc = Minecraft.func_71410_x();
        CompatibleScaledResolution resolution = new CompatibleScaledResolution(mc, mc.field_71443_c, mc.field_71440_d);
        int numOfItems = PingType.values().length - 1;

        float half = numOfItems / 2;
        for (int i=0; i<numOfItems; i++) {
            PingType type = PingType.values()[i + 1];
            float drawX = resolution.getScaledWidth() / 2 - (ITEM_SIZE * half) - (ITEM_PADDING * (half));
            float drawY = resolution.getScaledHeight() / 4;

            drawX += ITEM_SIZE / 2 + ITEM_PADDING / 2 + (ITEM_PADDING * i) + ITEM_SIZE * i;

            boolean mouseIn = mouseX >= (drawX - ITEM_SIZE / 2) && mouseX <= (drawX + ITEM_SIZE / 2) &&
                    mouseY >= (drawY - ITEM_SIZE / 2) && mouseY <= (drawY + ITEM_SIZE / 2);

            if (mouseIn) {
                ClientProxy.sendPing(type);
                KeyHandler.ignoreNextRelease = true;
                return;
            }
        }

    }

    @Override
    public void func_146281_b() {
        super.func_146281_b();
        active = false;
    }

    @Override
    public boolean func_73868_f() {
        return false;
    }
}
